Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Prob con gqview, gxine, xcdroast e acpid.
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Wed Jan 27, 2010 1:07 pm    Post subject: Prob con gqview, gxine, xcdroast e acpid. Reply with quote

Ciao a tutti, sono un nuovo utente.

gqview: quando (da Thunar) clicco su un' immagine si apre per un secondo il prog e poi si chiude lavorando da shell non si ha nessun tipo di output di errore nè di Thunar nè di gqview.

gxine: non riproduce i file mp4 si sente l' audio che và avanti ma l' immagine è ferma:
Code:

m@marco ~ $ file '/home/m/Desktop/video(2).mp4'
/home/m/Desktop/video(2).mp4: ISO Media, MPEG v4 system, version 2
m@marco ~ $ gxine '/home/m/Desktop/video(2).mp4'
bind: No such file or directory
warning: configuration item media.audio_cd.device points to a non-existent location /dev/cdrom
warning: configuration item media.audio_cd.cddb_cachedir points to a non-existent location /home/m/.xine/cddbcache
warning: configuration item media.capture.save_dir points to a non-existent location


xcdroast:
Code:

m@marco ~ $ xcdroast

** (xcdroast:27056): WARNING **: Invalid cdda2wav version -unknown- found.
   Expecting at least version 2.01
   Start xcdroast with the -n option to override (not recommended!)


acpid: quando spengo il computer avvolte si blocca sulla scritta "acpid: exiting on signal 2" (o qualcosa del genere) oppure sulla scritta "remounting read only" oppure "Power down". In /var/log non c' è niente di acpid.

Grazie.
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Wed Jan 27, 2010 1:27 pm    Post subject: Reply with quote

ev56o wrote:
Ciao a tutti, sono un nuovo utente

Benvenuto!! :)

Non ho mai usato i sw che hai elencato..cmq posta qualche informazione in più circa le flag con cui hai compilato.

Per quanto riguarda i problemi che hai...sarebbe opportuno risolvere, però se intanto vuoi tamponare ti faccio presente che in tree ci sono tantissimi altri sw che fanno lo stesso lavoro!

Ad esempio
eog
vlc
k3b
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Wed Jan 27, 2010 2:03 pm    Post subject: Reply with quote

Code:

m@marco ~ $ emerge -pv gqview gxine xcdroast acpid

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-gfx/gqview-2.1.5  USE="lcms" 1,646 kB
[ebuild   R   ] media-video/gxine-0.5.903  USE="hal nls nsplugin xcb -lirc -xinerama" 1,086 kB
[ebuild   R   ] app-cdr/xcdroast-0.98_alpha16  USE="nls" 3,481 kB
[ebuild   R   ] sys-power/acpid-1.0.10_p4  53 kB

Total: 4 packages (4 reinstalls), Size of downloads: 6,265 kB


Code:

m@marco ~ $ cat /etc/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /etc/make.conf.example for a more detailed example.
CFLAGS="-O2 -march=native"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in -additions to what is provided by the
# profile used for building.
USE="gphoto2 openal abiword exceptions xpdf-headers lzma strong-optimization optimization  pcap websockets coverage pango xft yv12 css ntlm -kdeprefix -serial objc-gc objc++ gcj   ocaml t1lib wordperfect thesaurus ots math grammar  -libgda  asyncns pg-intdatetime fuse networking regex fts3 lash stats remote geoip daemon extras freetds sqlite3 -bluetooth qemu_softmmu_targets_x86_64 qemu_user_targets_x86_64 vde kvm kqemu  adabas bcmath birdstep calendar curlwrappers  -db2 dbase dbmaker discard-path empress empress-bcs esoob fdftk filter firebird  flatfile force-cgi-redirect frontbase ftp -gd-external hash imap inifile -interbase iodbc java-external json kolab ldap-sasl mcve mhash -msql mssql mysqli -oci8  -oci8-instant-client pcntl  pdo pic posix  postgres -qdbm readline -recode -sapdb sharedext -sharedmem simplexml snmp soap  sockets solid suhosin  sybase sybase-ct sysvipc  tidy  tokenizer  wddx xmlreader xmlrpc xmlwriter xpm xsl  yaz zip  cdb cgi cjk -concurrentmodphp ctype   reiser4 jfs plotutils jabber postscript zvbi xext taglib mythtv dvb  modules -client cdda libffi -gcdmaster amrnb amrwb objc  uclibc projectm icecast cdaudio  trace ada contrib xmp utils  fontforge dga uclibc -loop-aes ssh sha512 passwdqc mktemp consolekit gmp smbkrb5passwd slp overlays maxsysuid md5sum smartcard -skey libedit -hpn X509 nss ares libssh2 svga rle disk-partition imlib xattr cman -clvm -lvm1  plugins net bashlogger afs idn network-cron xinetd justify mpi icu expat eselect bash-completion wininst alisp socks5  pkcs11 cleartype fusion cpudetection q32 timezone exif contrast webkit ruby lasi xvid  vhook v4l2 ssse3 sse3 mmxext hardcoded-tables gsm faad faac amr -smp sqlite gecko gnutls modplug esound  ads latex grace raw  async automount caps -oav quotas -swat syslog compat -epiphany netboot v4l theora real dts a52 wmf openexr jpeg2k jbig hdri gs graphviz fpx fontconfig djvu  libsamplerate -oss ladspa lcms  moonlight xen bindist avahi mng samba slang motif ao -policykit speex vcd vidix vis xvmc  aalib libcaca curl -lirc vdr  -nautilus xcomposite digitalradio aac dv lame x264 amd64codecs win32codecs device-mapper source odbc pch xmldoclet mono tcl -bindist -iceweasel -epiphany 32bit   custom-optimization  sasl 3dnow ffmpeg corefonts truetype network portaudio abyss threads tools mmap hfs  pccts normalize -oss sndfile timidity jack wavpack wma -xscreensaver acpi svg -doc nptl profile hardened glib optimized-qmake -raster glibc-omitfp gd netcdf fftw dmx 3dfx gimp radeon fglrx ati glitz xcb flv mpeg avi gif png jpeg xml xml2 apache2 launcher nls -chm -headless -sdk -vboxwebsrv utf8 encode gstreamer vorbis -esd mp3 sdl vorbis flac en -cs -de -es -fr -it -nl -pl -sv midi unicode ipv4 ipv6 X branding java nsplugin -gdm -xdm -kdm deprecated -discouraged -debug-malloc -debug-freelist  -elisp -emacs -vi -ex -debug -kdehiddenvisibility -kdeenablefinal -elibc_FreeBSD adplug  mtp musepack scrobbler sid tta  chardet  -xinerama winbind rar kerberos acl -cups -ldap pam -readline python perl ssl -dlloader openmp fortran pdf opengl zlib ldap bzip2 qt3support accessibility 3dnowext directfb dxr3 fbcon imagemagick   altivec nas mp3rtp soundex mmx sse sse2 -kde -arts qt3 qt4 ldap nas   hal dbus dvd cd dvdr cdr alsa gtk dmraid examples reiserfs xfce xfs ntfs fat tk -gnome apache ssl mysql php berkdb innodb jpeg png"
MAKEOPTS="-j1"
VIDEO_CARDS="radeon"
INPUT_DEVICES="evdev"
#GENTOO_MIRRORS="ftp://gentoo.arcticnetwork.ca/pub/gentoo/ http://gentoo.arcticnetwork.ca/source/
GENTOO_MIRRORS="ftp://mirrors.tera-byte.com/pub/gentoo http://gentoo.mirrors.tera-byte.com/ http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ ftp://ftp.gtlib.gatech.edu/pub/gentoo http://www.gtlib.gatech.edu/pub/gentoo ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://mirror.mcs.anl.gov/pub/gentoo/ ftp://mirror.mcs.anl.gov/pub/gentoo/ http://gentoo.cites.uiuc.edu/pub/gentoo/ ftp://gentoo.cites.uiuc.edu/pub/gentoo/ http://gd.tuwien.ac.at/opsys/linux/gentoo/ ftp://gd.tuwien.ac.at/opsys/linux/gentoo/ http://ftp.first-world.info/ ftp://ftp.first-world.info/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://gentoo.po.opole.pl ftp://gentoo.po.opole.pl http://gentoo.mirror.pw.edu.pl/ http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo/ http://ftp.jaist.ac.jp/pub/Linux/Gentoo/ ftp://ftp.jaist.ac.jp/pub/Linux/Gentoo/ http://mirrors.64hosting.com/pub/mirrors/gentoo/ ftp://mirrors.64hosting.com/pub/mirrors/gentoo/ http://gentoo.cs.nctu.edu.tw/gentoo/ ftp://gentoo.cs.nctu.edu.tw/gentoo/ "
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
#source /usr/portage/local/layman/make.conf
PORTAGE_ELOG_CLASSES="log"
PORTAGE_ELOG_SYSTEM="save"
ACCEPT_KEYWORDS="~amd64"
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Wed Jan 27, 2010 2:18 pm    Post subject: Reply with quote

forse attenersi alle impostazioni consigliate porta meno rogne :D

ev56o wrote:
CFLAGS="-O2 -march=native

qui mancherebbe -pipe

ev56o wrote:
MAKEOPTS="-j1"

questo anche sarebbe da rivedere :)

ev56o wrote:
ACCEPT_KEYWORDS="~amd64"

se hai tutti i pacchetti ~arch dovresti essere in grado di gestire la situazione, se qualcosa non ti funziona è perchè il sw è in testing


sicuro di essere un nuovo utente? 8)
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Wed Jan 27, 2010 2:34 pm    Post subject: Reply with quote

La pipe l' ho levata perchè ho poca RAM, il native è suppportato da gcc. Non penso che il sw sia in testing, non ci sono versioni inferiori in portage. La keywords non ricordo perchè l' ho messa. Sono un nuovo utente di questo forum, ma non di Gentoo. D' accordo che le impostazioni consigliate / meno spinte sono più affidabili ma vorrei vedere qualcosa di più.
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Wed Jan 27, 2010 2:41 pm    Post subject: Reply with quote

Se hai poca ram hai fatto bene a toglierla! Per native non c'e nessun problema....anzi funziona bene.

Il problema, se cosi si può chiamare, è che con ~amd64 automaticamente hai tutti i pacchetti ~arch/testing, non quelli stable.

ev56o wrote:
D' accordo che le impostazioni consigliate / meno spinte sono più affidabili ma vorrei vedere qualcosa di più.


il qualcosa di più non lo vedi con i pacchetti testing...ma modificando flag di compilazione e del linker
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Wed Jan 27, 2010 2:59 pm    Post subject: Reply with quote

Non ho capito, con eix ho visto che di gqview non ci sono altre versioni (2.1.5) quindi deve essere automaticamente la stable. Forse stò usando delle lib unstable. Se togliessi la keyword cosa succederebbe?
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Wed Jan 27, 2010 3:17 pm    Post subject: Reply with quote

si, per quel sw c'e una sola versione in tree ed è stable,

ev56o wrote:
Se togliessi la keyword cosa succederebbe?


Succede un casino...in pratica mettendo ~amd64 hai tutte le versioni piu recenti dei sw che stanno in portage, ritornano ad "amd64" comporti un "downgrade" di tutte le versioni di tutti i sw...e per glibc non è una bella cosa! (non so se portage ti impedisca di portare glibc da una versione maggiore ad una minore)


Last edited by ago on Wed Jan 27, 2010 3:31 pm; edited 1 time in total
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Wed Jan 27, 2010 3:29 pm    Post subject: Reply with quote

Non riesco a ricollegare... Togliendola, sincando e facendo un emerge -DuNav world mi ritrovo un sacco di pacchi marcati come downgrade eseguendo questo mi ritrovo completamente nela branca stable e posso sperare di risolvere qualcosa. Correggimi se ho sbagliato qualcosa.
Back to top
View user's profile Send private message
lavish
Bodhisattva
Bodhisattva


Joined: 13 Sep 2004
Posts: 4296

PostPosted: Wed Jan 27, 2010 3:38 pm    Post subject: Reply with quote

ev56o wrote:
Non riesco a ricollegare... Togliendola, sincando e facendo un emerge -DuNav world mi ritrovo un sacco di pacchi marcati come downgrade eseguendo questo mi ritrovo completamente nela branca stable e posso sperare di risolvere qualcosa. Correggimi se ho sbagliato qualcosa.


Non farlo, stai scegliendo l miglior modo per sfasciare il tuo sistema. Ormai sei in ~ e ti conviene restarci ;)
_________________
minimalblue.com | secgroup.github.io/
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Wed Jan 27, 2010 3:47 pm    Post subject: Reply with quote

per ora la soluzione più "comoda" è cercare altro sw che faccia lo stesso lavoro
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed Jan 27, 2010 4:15 pm    Post subject: Reply with quote

ev56o wrote:
USE="strong-optimization optimization objc-gc objc++ fusion motif radeon fglrx ati openmp fortran qt3support qt3 qt4"
VIDEO_CARDS="radeon"
ACCEPT_KEYWORDS="~amd64"
queste sono le cose che vedo possibili fonti di problemi.
Se sei veramente nuovo ti conviene pensare di ripartire da capo e fare un passo alla volta, anche con le use.

ACPI fa pensare a problemi compilatore/kernel, xcdroast è antico k3b è per kde che hai disabilitato ma per gli gnomi c'era un altro programma di cui mi sfugge il nome, xine ha problemi di codec, gqview non so cosa sia perché non faccio parte delle scimmie ma delle lucertole.

Sei su un portatile o su un fisso? Se cerchi ci sono diverse bestemmie mie e non solo sulla questione dei moduli AGP/GART degli amd64 con ati mobile. Bada a quale carichi perché in molti sistemi mobili risponde sia il GART integrato che altro cipset, con risultati imprevedibili.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Wed Jan 27, 2010 4:44 pm    Post subject: Reply with quote

djinnZ wrote:
ma per gli gnomi c'era un altro programma di cui mi sfugge il nome


brasero? :)
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Wed Jan 27, 2010 4:53 pm    Post subject: Reply with quote

Vorrei provare la strada del tornare alla stable, potrei fare un backup dell' intero sistema prima (non è neanche 10 GB). Come dovrei procedere secondo voi? Con i passi che descritto prima?
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Wed Jan 27, 2010 5:29 pm    Post subject: Reply with quote

Vuoi portare tutti i sw a stable o vuoi rifare una nuova installazione?

Nel primo caso..potresti incappare in diversi problemi, quindi per evitare rogne inutili potresti ri-eseguire un'installazione ex-novo! se l'idea ti va giù, potresti backuppare quel che ti serve su qualche supporto (DVD), su altri dischi (HD), oppure con gparted ridimensioni la tua " / " e crei una piccola partizione su cui sposterai tutti i dati: Magari nella nuova installazione potresti anche montarla come /home.


P.S. se ti può servire c'è anche #gentoo-it su freenode
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed Jan 27, 2010 6:15 pm    Post subject: Reply with quote

Tra l'altro non credo che tutti i pacchetti siano compilati con la stessa ottimizzazione, a naso. Ripeto che per me fai prima a ripartire da zero.

Sul gcc 3.x hardened usare objc-gc objc++ e fortran era causa di gravi problemi (oltre al fatto che non capisco a cosa ti possano servire) al punto che ti potevi ritrovare con compilatore e libc in malora ed incapaci di ricostruirsi, sul profilo normale non sono riportati errori gravi ma non è che siano raccomandate ed utilizzatissime.
gcj... farne a meno fa risparmiare molto tempo per compilare il gcc.

Per prima cosa, dopo aver messo a posto le cflags e le ldflags lanci un bell'emerge -epv @world per vedere quali use sono attive per i pacchetti e quali potresti disabilitare od attivare (per il singolo pacchetto gcc ti consiglio di disabilitare gtk, porta solo rogne). Messa a punto la prima parte lanci emerge -e @system od @world in modo che tutti i pacchetti siano comp0ilati con la stessa ottimizzazione.
Poi, pian piano installi il resto del sistema, un passo alla volta.

Quanto al native io preferisco farne a meno per la semplice ragione che è un casino capire con quali ottimizzazioni è stato compilato un pacchetto. Ma se usi un solo pc e non devi scambiare binari non è un problema.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Sat Jan 30, 2010 9:38 pm    Post subject: Reply with quote

Ho un vecchio backup del sistema (di qualche mese fà) ci metto il make.conf (senza keyword), il world del sistema danneggiato e synco sperando che un' emerge -DuNav world posso portarlo up to date.
Ora, nonostante i pacchi siano vecchi, l' emerge -DuNav world indica moltissimi pacchi come downgrade, come è possibile? Comincio con l' emersione del system (emerge -DuNav system), un ebuild fallisce, riavvio (per altri motivi) e mi ritrovo /sbin/rc not found. Da un' altro sistema chrootto in quello danneggiato e scopro che openrc non è installato ed è anche mascherato:
Code:

marco / # emerge -s openrc
Searching...   
[ Results for search key : openrc ]
[ Applications found : 1 ]

*  sys-apps/openrc [ Masked ]
[b]      Latest version available: 9999[/b]
      Latest version installed: [ Not Installed ]
      Size of files: 0 kB
      Homepage:      http://roy.marples.name/openrc
      Description:   OpenRC manages the services, startup and shutdown of a host
      License:       BSD-2

ma come è possibile?
Lo smaschero (con keywords), disinstallo anche sysvinit e vado a emergere openrc:
Code:

marco / # emerge -pv openrc

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] sys-apps/miscfiles-1.4.2  USE="-minimal" 1,490 kB
[ebuild  N    ] dev-perl/Net-SSLeay-1.35  130 kB
[ebuild  N    ] dev-perl/Net-LibIDN-0.12  14 kB
[ebuild  N    ] perl-core/CGI-3.48  235 kB
[b][ebuild  N    ] sys-apps/sysvinit-2.86-r10  USE="(-ibm) (-selinux) -static" 0 kB[/b]
[ebuild  N    ] dev-perl/Error-0.17.008  17 kB
[ebuild  N    ] dev-perl/IO-Socket-SSL-1.26  USE="idn" 64 kB
[ebuild  N    ] virtual/perl-CGI-3.48  0 kB
[ebuild  N    ] dev-perl/Net-SMTP-SSL-1.01  2 kB
[ebuild  N    ] app-shells/bash-completion-1.1-r5  133 kB
[ebuild  N    ] app-shells/gentoo-bashcomp-20090613  23 kB
[ebuild  N    ] dev-util/git-1.6.4.4  USE="bash-completion cgi curl gtk iconv perl threads tk xinetd -cvs -doc -emacs -mozsha1 (-ppcsha1) -subversion -webdav" 2,367 kB
[ebuild  N    ] sys-apps/openrc-9999  USE="ncurses pam unicode -debug" 0 kB
[b][blocks B     ] <sys-apps/sysvinit-2.86-r11 ("<sys-apps/sysvinit-2.86-r11" is blocking sys-apps/openrc-9999)[/b]

Total: 13 packages (13 new), Size of downloads: 4,470 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-apps/openrc-9999', 'merge') pulled in by
    openrc

  ('ebuild', '/', 'sys-apps/sysvinit-2.86-r10', 'merge') pulled in by
    >=sys-apps/sysvinit-2.86-r6 required by ('installed', '/', 'virtual/init-0', 'nomerge')


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Viene indicato anche due volte ma come è possibile che funzioni così male?
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Sun Jan 31, 2010 12:12 am    Post subject: Reply with quote

dovresti mettere sysvinit openrc e baselayout tutti in package.keywords :wink:


e poi ricordati di dare dispatch-conf, cmq puoi dare anche un occhiata qui
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Sun Jan 31, 2010 4:33 pm    Post subject: Reply with quote

Ho reiniziato da capo (cioè dal backup suddetto), ho aggiornato openrc e sysvinit (baselayout era già up to date) come da guida, il sistema si avvia normalmente. Ora vaso ad aggiornare system e mi ritrovo
Code:

marco m # emerge -DuNav system

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD] sys-devel/gnuconfig-20090203 [20090819] 41 kB
[ebuild     UD] sys-devel/automake-wrapper-3-r1 [4] 0 kB
[ebuild     U ] sys-libs/timezone-data-2009u [2009n] USE="nls" 369 kB
[ebuild     UD] sys-devel/patch-2.5.9 [2.5.9-r1] USE="-static" 198 kB
[ebuild     UD] app-arch/cpio-2.9-r2 [2.10] USE="nls" 741 kB
[ebuild     UD] media-sound/alsa-headers-1.0.20 [1.0.21] 2,833 kB
[ebuild     UD] sys-devel/m4-1.4.12 [1.4.13] USE="examples" 751 kB
[ebuild     U ] media-libs/tiff-3.9.2 [3.9.1] USE="cxx%* jbig jpeg zlib (-nocxx%)" 1,387 kB
[ebuild     U ] dev-db/sqlite-3.6.20-r1 [3.6.19] USE="fts3%* icu soundex tcl threadsafe -debug -doc -readline" 2,897 kB
[ebuild     UD] sys-kernel/linux-headers-2.6.27-r2 [2.6.30-r1] 3,509 kB
[ebuild     UD] app-text/djvu-3.5.21_p20090103 [3.5.22] USE="jpeg nls tiff xml -debug -doc -kde (-nsplugin%*) (-qt3%*)" LINGUAS="-cs -de -en -fr -ja -zh" 2,972 kB
[ebuild     UD] net-misc/iputils-20071127 [20071127-r2] USE="ipv6 -doc -static (-SECURITY_HAZARD%) (-idn%*)" 99 kB
[ebuild     UD] dev-libs/nss-3.12.3-r1 [3.12.4-r2] USE="utils" 3,972 kB
[ebuild     UD] sys-apps/debianutils-3.1.3 [3.2.1-r1] USE="-static" 130 kB
[ebuild     UD] media-libs/freetype-2.3.9-r1 [2.3.11] USE="X fontforge utils -bindist -debug -doc" 1,487 kB
[ebuild     UD] sys-apps/sandbox-1.6-r2 [2.1] USE="(-multilib%*)" 300 kB
[ebuild     U ] dev-lang/perl-5.8.8-r8 [5.8.8-r6] USE="berkdb gdbm -build -debug -doc -ithreads -perlsuid" 9,887 kB
[ebuild     UD] perl-core/Storable-2.20 [2.21] 174 kB
[ebuild     U ] sys-devel/libtool-2.2.6b [2.2.6a] USE="-test -vanilla" 722 kB
[ebuild     UD] virtual/perl-Storable-2.20 [2.21] 0 kB
[ebuild     UD] dev-util/intltool-0.40.5 [0.40.6-r1] 138 kB
[ebuild   R   ] x11-libs/openmotif-2.3.2  USE="examples jpeg png unicode xft* -doc" 5,803 kB
[ebuild     U ] x11-misc/util-macros-1.5.0 [1.3.0] 58 kB
[ebuild     UD] media-libs/fontconfig-2.6.0-r2 [2.7.3] USE="-doc" 1,371 kB
[ebuild     U ] app-admin/eselect-opengl-1.1.1-r2 [1.0.8-r1] 58 kB
[ebuild     UD] dev-dotnet/pe-format-0 [1] 0 kB
[ebuild   R   ] net-misc/rsync-3.0.6  USE="acl iconv ipv6 xattr -static (-xinetd%*)" 761 kB
[ebuild     UD] sys-apps/sed-4.2 [4.2.1] USE="acl nls -static" 862 kB
[ebuild     UD] sys-apps/findutils-4.4.0 [4.5.5] USE="nls (-selinux) -static" 1,983 kB
[ebuild   R   ] dev-libs/libgpg-error-1.7  USE="nls -common-lisp%" 395 kB
[ebuild     UD] sys-apps/acl-2.2.47 [2.2.47-r1] USE="nls (-nfs)" 152 kB
[ebuild     UD] sys-devel/bison-2.3 [2.4.1] USE="nls -static" 1,055 kB
[ebuild     U ] media-libs/libexif-0.6.19 [0.6.18] USE="nls -doc" 1,117 kB
[ebuild     UD] app-arch/gzip-1.3.12-r1 [1.3.13] USE="nls pic* -static" 452 kB
[ebuild     UD] sys-apps/kbd-1.15 [1.15.1] USE="nls" 1,289 kB
[ebuild     UD] sys-apps/gawk-3.1.6 [3.1.7] USE="nls (-libsigsegv%)" 1,818 kB
[ebuild     UD] app-arch/tar-1.20 [1.22] USE="nls -static" 1,868 kB
[ebuild     UD] sys-apps/module-init-tools-3.5 [3.11] USE="-old-linux%" 208 kB
[ebuild     U ] app-emulation/emul-linux-x86-baselibs-20091231 [20081109] 26,826 kB
[ebuild     UD] sys-devel/binutils-2.18-r3 [2.19.1-r1] USE="nls -multislot -multitarget -test -vanilla (-gold%)" 14,629 kB
[ebuild     U ] net-libs/gnutls-2.8.5 [2.8.4] USE="cxx examples nls zlib -bindist -doc -guile -lzo" 6,052 kB
[ebuild     U ] x11-libs/libXt-1.0.7-r1 [1.0.7] USE="-debug" 547 kB
[ebuild     U ] x11-libs/xtrans-1.2.5 [1.2.4] USE="-debug" 139 kB
[ebuild     U ] x11-libs/pixman-0.17.2 [0.16.2] USE="mmx sse2 (-altivec) -debug" 391 kB
[ebuild     U ] x11-proto/glproto-1.4.11 [1.4.10] 106 kB
[ebuild     U ] x11-proto/xf86driproto-2.1.0 [2.0.4] 49 kB
[ebuild     U ] x11-misc/xorg-cf-files-1.0.3 [1.0.2] 335 kB
[ebuild     UD] dev-lang/tk-8.5.7 [8.5.7-r1] USE="threads truetype -debug" 3,692 kB
[ebuild   R   ] x11-libs/libXpm-3.5.8  USE="nls%* -debug" 383 kB
[ebuild     UD] sys-apps/dbus-1.2.3-r1 [1.3.0] USE="X -debug -doc (-selinux) (-test%)" 1,528 kB
[ebuild     U ] x11-libs/libXaw-1.0.7 [1.0.6] USE="-debug -doc%" 585 kB
[ebuild     UD] media-libs/nas-1.8b [1.9.2] USE="-doc" 1,432 kB
[ebuild   R   ] sys-apps/man-1.6f-r3  USE="lzma* nls" 249 kB
[ebuild   R   ] media-libs/mesa-7.5.2  USE="motif nptl pic* xcb -debug" VIDEO_CARDS="radeon -intel -mach64 -mga -none -r128 -radeonhd -s3virge -savage -sis (-sunffb) -tdfx -trident -via" 4,285 kB
[ebuild     U ] app-emulation/emul-linux-x86-xlibs-20091231 [20081109] USE="opengl" 21,640 kB
[ebuild     UD] media-libs/freeglut-2.4.0-r1 [2.6.0_rc1] USE="(-debug%)" 459 kB
[ebuild     UD] dev-perl/DBD-mysql-4.00.5 [4.01.2] 120 kB
[ebuild     UD] sys-apps/shadow-4.1.2.2 [4.1.4.2] USE="cracklib nls pam -audit (-selinux) -skey" 1,658 kB
[ebuild     U ] dev-libs/glib-2.20.5-r1 [2.20.5] USE="fam hardened xattr -debug -doc (-selinux)" 4,920 kB
[ebuild   R   ] sys-process/procps-3.2.8  USE="unicode%* (-n32)" 280 kB
[ebuild     UD] app-crypt/mit-krb5-1.6.3-r6 [1.7-r1] USE="-doc -krb4%" 11,636 kB
[ebuild     U ] dev-libs/openssl-0.9.8l-r2 [0.9.8k-r1] USE="gmp kerberos (sse2) zlib -bindist -test" 4,082 kB
[ebuild   R   ] net-misc/wget-1.12  USE="idn ipv6 nls ntlm* ssl -debug -static" 1,572 kB
[ebuild     U ] app-admin/eselect-ruby-20091225 [20090909] 2 kB
[ebuild     U ] dev-lang/ruby-1.8.7_p249 [1.8.7_p174-r1] USE="berkdb examples gdbm ipv6 socks5 ssl threads tk -debug -doc -emacs -rubytests -xemacs" 4,058 kB
[ebuild     U ] sys-libs/ncurses-5.7-r3 [5.7-r2] USE="ada cxx gpm profile trace unicode -debug -doc -minimal" 2,388 kB
[ebuild     UD] sys-apps/coreutils-7.5-r1 [7.6] USE="acl caps gmp nls xattr (-selinux) -static -vanilla" 9,731 kB
[ebuild     UD] sys-libs/slang-2.2.0 [2.2.1] USE="cjk* pcre png zlib -readline" 1,322 kB
[ebuild     UD] sys-libs/gpm-1.20.5 [1.20.6] USE="(-selinux)" 1,269 kB
[ebuild     U ] app-shells/bash-4.0_p35 [4.0_p33] USE="afs bashlogger examples net nls plugins -mem-scramble -vanilla" 6,168 kB
[ebuild     U ] app-admin/eselect-1.2.8 [1.2.4] USE="bash-completion -doc" 151 kB
[ebuild     U ] dev-lang/python-2.6.4 [2.6.3] USE="berkdb examples gdbm ipv6 ncurses sqlite ssl threads tk (wide-unicode%*) wininst xml -build -doc -readline (-ucs2%)" 10,997 kB
[ebuild     U ] dev-java/java-config-2.1.9-r2 [2.1.9-r1] 56 kB
[ebuild     UD] dev-libs/libxml2-2.7.3-r2 [2.7.4-r1] USE="examples ipv6 python -debug -doc -readline -test" 4,678 kB
[ebuild     UD] media-libs/alsa-lib-1.0.20-r1 [1.0.21a] USE="alisp python -debug -doc" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" 777 kB
[ebuild     UD] x11-misc/shared-mime-info-0.60 [0.70] 447 kB
[ebuild     UD] dev-libs/dbus-glib-0.76 [0.80] USE="-debug -doc (-selinux) (-bash-completion%*) (-test%)" 652 kB
[ebuild   R   ] x11-libs/gtk+-2.16.6  USE="jpeg jpeg2k tiff -cups -debug -doc -test -vim-syntax -xinerama (-X%*)" 18,085 kB
[ebuild     UD] app-text/ghostscript-gpl-8.64-r3 [8.70-r1] USE="X cairo cjk%* djvu gtk jpeg2k -bindist -cups" LINGUAS="(-ja%) (-ko%) (-zh_CN%) (-zh_TW%)" 22,238 kB
[ebuild     UD] app-crypt/pinentry-0.7.5 [0.7.6] USE="caps gtk ncurses (-qt3%*) (-qt4%) (-static%)" 413 kB
[ebuild     U ] dev-libs/opensc-0.11.11 [0.11.9] USE="nsplugin -doc -openct -pcsc-lite" 1,453 kB
[ebuild     U ] sys-libs/glibc-2.10.1-r1 [2.10.1] USE="gd glibc-omitfp (multilib) nls profile -debug (-hardened) (-selinux) -vanilla" 16,511 kB
[ebuild   R   ] sys-devel/gcc-4.3.4  USE="fortran gcj* gtk mudflap (multilib) nls nptl objc objc++* objc-gc* openmp (-altivec) -bootstrap -build -doc (-fixed-point) (-hardened) (-libffi*) -multislot (-n32) (-n64) -nocxx -nopie -test -vanilla (-ip28%) (-ip32r10k%)" 59,405 kB
[blocks b     ] sys-devel/gcc[libffi] ("sys-devel/gcc[libffi]" is blocking dev-lang/python-2.6.4)
[ebuild   R   ] sys-fs/udev-146-r1  USE="devfs-compat extras* (-selinux)" 528 kB
[ebuild     U ] dev-java/icedtea6-bin-1.6.2 [1.6.1] USE="X alsa examples nsplugin source -doc" 62,403 kB
[ebuild   R   ] dev-libs/DirectFB-1.4.2  USE="X fbcon fusion gif jpeg mmx png sdl sse sysfs truetype v4l v4l2 zlib -debug" INPUT_DEVICES="evdev -dynapro -elo2300 -joystick -keyboard* -lirc -mouse* -mutouch -tslib (-none%)" VIDEO_CARDS="radeon -intel -mach64 -mga -neomagic (-nsc) -nvidia -r128 -s3 -savage -sis -tdfx -via -vmware (-none%)" 2,833 kB
[ebuild   R   ] media-libs/libsdl-1.2.13-r1  USE="X aalib alsa audio dga directfb fbcon joystick libcaca nas opengl video xv -custom-cflags -esd -ggi -oss -pulseaudio (-svga) -tslib% -xinerama (-arts%)" 3,295 kB
[ebuild     U ] net-nds/openldap-2.4.19-r1 [2.4.17-r1] USE="berkdb crypt gnutls icu iodbc* ipv6 kerberos minimal odbc overlays perl samba sasl slp smbkrb5passwd ssl syslog tcpd -cxx -debug -experimental (-selinux)" 5,346 kB
[ebuild     UD] net-misc/openssh-5.2_p1-r3 [5.3_p1-r1] USE="X X509 kerberos ldap* libedit pam pkcs11 smartcard tcpd -hpn (-selinux) -skey -static" 1,268 kB
[ebuild   R   ] dev-libs/cyrus-sasl-2.1.23-r1  USE="berkdb crypt gdbm java kerberos ldap mysql pam postgres* sqlite ssl -authdaemond -ntlm_unsupported_patch -sample -srp -urandom" 1,576 kB
[ebuild     U ] dev-db/postgresql-base-8.3.9 [8.3.7] USE="kerberos ldap nls pam pg-intdatetime* ssl threads zlib -doc -readline*" LINGUAS="-af -cs -de -es -fa -fr -hr -hu -it -ko -nb -pl -pt_BR -ro -ru -sk -sl -sv -tr -zh_CN -zh_TW" 13,839 kB

Total: 91 packages (32 upgrades, 45 downgrades, 14 reinstalls), Size of downloads: 411,302 kB
Conflict: 1 block

Would you like to merge these packages? [Yes/No] no

Quitting.

Segna ancora quei pacchi come downgrade ma come è possibile se sono vecchi di mesi? E dove stà quel blocco di cui parla?
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1522
Location: Milan, Italy

PostPosted: Mon Feb 01, 2010 12:20 am    Post subject: Reply with quote

questo è un backup di un sistema con pacchetti ~arch quindi, se alcuni hanno un processo di stabilizzazione più lungo, te li ritrovi ancora come instabili.


Come ti è stato già detto nel fare il downgrade di tutti i pacchetti potresti avere molte rogne, faresti molto prima ad installare da capo o se al momento ti serve un sistema funzionante, tieni quello su cui avevi originariamente i problemi descritti e con calma ti installi il nuovo :)
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Thu Feb 04, 2010 6:12 pm    Post subject: Reply with quote

Eppure io ero sicuro che il backup non comprendeva i pacchi unstable... il fatto di avere un' OS funzionante non è un prob da considerare. Vorrei provare a fare questo down/upgrade soprattutto per una questione didattica. Ora ho emerso un bel pò di pacchi ma mi ritrovo con un prob ripetitivo:
Code:

.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lfreetype      -Wl,--export-dynamic -lenchant -lgmodule-2.0 -lglib-2.0   -lxml2 -lz -lm -lfribidi   -L/usr/lib -lwv -lwmf -lwmflite -lfreetype -lX11 -lexpat -ljpeg -lgsf-1 -lgobject-2.0 -lxml2 -lglib-2.0 -lpng -lz -lm   -lgsf-1 -lgobject-2.0 -lxml2 -lglib-2.0   -lglib-2.0 -lpng12   -lz -lpopt -lXft -lXrender -lfreetype -lX11 -lfontconfig -lfreetype   -pthread -lgthread-2.0 -lrt -lglib-2.0   -lgoffice-0 -lgsf-1 -lglade-2.0 -lgnomeprint-2-2 -lz -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lfreetype -lfontconfig -lart_lgpl_2 -lxml2 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   
../../../../src/wp/impexp/libImpExp.a(ie_exp_RTF_listenerWriteDoc.o): In function `s_RTF_ListenerWriteDoc::_newRow()':
ie_exp_RTF_listenerWriteDoc.cpp:(.text+0x3fe4): warning: memset used with constant zero length parameter; this could be due to transposed parameters
/usr/lib64/libgoffice-0.so: undefined reference to `xmlNodeGetContent@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlDetectCharEncoding@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlGetCharEncodingName@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlGetProp@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlParseMemory@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlFree@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlStrcmp@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlFreeDoc@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlIsBlankNode@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlNodeSetContent@LIBXML2_2.4.30'
/usr/lib64/libgoffice-0.so: undefined reference to `xmlSetProp@LIBXML2_2.4.30'
collect2: ld returned 1 exit status
make[4]: *** [abiword] Error 1
make[4]: Leaving directory `/var/tmp/portage/app-office/abiword-2.6.4/work/abiword-2.6.4/src/wp/main/unix'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/app-office/abiword-2.6.4/work/abiword-2.6.4/src/wp/main'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/app-office/abiword-2.6.4/work/abiword-2.6.4/src/wp'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/app-office/abiword-2.6.4/work/abiword-2.6.4/src'
make: *** [all-recursive] Error 1
 * ERROR: app-office/abiword-2.6.4 failed:
 *   compile failure
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_compile
 *   environment, line 3329:  Called gnome2_src_compile
 *   environment, line 2613:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *
 * If you need support, post the output of 'emerge --info =app-office/abiword-2.6.4',
 * the complete build log and the output of 'emerge -pqv =app-office/abiword-2.6.4'.
 * The complete build log is located at '/var/tmp/portage/app-office/abiword-2.6.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/abiword-2.6.4/temp/environment'.
 * S: '/var/tmp/portage/app-office/abiword-2.6.4/work/abiword-2.6.4'

>>> Failed to emerge app-office/abiword-2.6.4, Log file:

>>>  '/var/tmp/portage/app-office/abiword-2.6.4/temp/build.log'

(qui lo vediamo verificarsi in abiword ma succede anche con molti altri pacchi).

Poi ho scoperto che x11-libs/goffice è slottato ina ltre versioni:
Code:

marco m # eix goffice
[I] x11-libs/goffice
     Available versions: 
   (0.4)   0.4.3
   (0.6)   0.6.4 ~0.6.5 0.6.6
   {debug doc gnome}
     Installed versions:  0.4.3(0.4)(08:15:50 PM 09/17/2009)(-debug -doc -gnome)
           0.6.6(0.6)(06:46:38 PM 02/04/2010)(-debug -doc -gnome)
     Homepage:            http://freshmeat.net/projects/goffice/
     Description:         A library of document-centric objects and utilities
,
ora io penso che sia meglio tenere solo la versione più recente di ogni pacco, quindi come faccio a gestire questi slot?
Back to top
View user's profile Send private message
CarloJekko
Veteran
Veteran


Joined: 31 Mar 2005
Posts: 1315
Location: Baia Domizia :-)

PostPosted: Fri Feb 05, 2010 1:05 pm    Post subject: Reply with quote

Oramai il mitico xcdroast è deprecato, non più aggiornato, e non esistono più le dipendenze. Ci sono latre suite open ben sviluppate. Ad esmepio gnome-baker, k3b , nautilus-burn etc..
_________________
C.
Back to top
View user's profile Send private message
ev56o
Apprentice
Apprentice


Joined: 26 Jan 2010
Posts: 180

PostPosted: Sun Feb 07, 2010 12:34 pm    Post subject: Reply with quote

Alla fine sono riuscito a up/downgradare il sistema il prob di gxine si è risolto con un downgrade, gqview e xcdroast si sono risolti da soli (non sò come di preciso) e acpid è migliorato nel senso che ora si blocca di meno e sempre con lo stesso output cioè "[qualche numero] Power Off".
Non ho capito perchè ho dovuto prendere molti pacchi come:

  • dev-lang/python-3.1.1-r1
  • sys-apps/sysvinit-2.87-r3
  • sys-apps/openrc-0.6.0-r1
  • sys-apps/baselayout-2.0.1


dalla branca unstable. Io ho scelto la branca stable non ho più la keyword nel make.conf
Code:

m@marco ~ $ cat /etc/portage/package.unmask
media-libs/realcodecs
media-libs/amd64codecs
media-libs/win32codecs

m@marco ~ $ cat /etc/portage/package.mask
=media-libs/libogg-1.1.4
x11-misc/xscreensaver
gnome-extra/gnome-screensaver
=x11-libs/goffice-0.6
=media-video/gxine-0.5.903

m@marco ~ $ cat /etc/portage/package.keywords
=sys-apps/baselayout-2.0.1
=sys-apps/openrc-0.6.0-r1
=sys-apps/sysvinit-2.87-r3
=media-libs/win32codecs-20071007-r4
=dev-db/libiodbc-3.52.7
=media-gfx/dcraw-8.98-r1
=dev-lang/python-3.1.1-r1
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum